Explain the lifecycle state
- GET /{index}/_ilm/explain
Get the current lifecycle status for one or more indices. For data streams, the API retrieves the current lifecycle status for the stream's backing indices.
The response indicates when the index entered each lifecycle state, provides the definition of the running phase, and information about any failures.
Required privileges
- Index privileges view_index_metadata manage_ilm
Response
-
indicesmap string to oneOfrequired -
<string>union oneOf -
phase_executionobject -
phase_definitionobject -
actionsobject -
searchable_snapshotobject -
Phases allowed: hot, cold, frozen.
-
total_shards_per_nodenumber -
The maximum number of shards, including primaries and replicas, that can be allocated to any single node for the mounted index. Must be at least 1.
-
replicate_forunion oneOf -
The period for which the mounted index keeps one replica before the replica is removed. By default, the index is mounted without replicas. Must be positive. Only the first
searchable_snapshotaction in a policy may set this. It must fit before the next phase starts: for example, if this phase has amin_ageof 5d and the next phase has 12d, it can be at most 7d. -
Values:
-10
managed: true